{% load django_bootstrap5 %}
{% load panel_helpers %}
<h3 class="remove-bottom-margin">Review feedback</h3>
<p class="lead">{{ entity.evaluation.all|length }} review{{ entity.evaluation.all|pluralize }}</p>

<div id="review-evaluations">
  {% include "panels/entity/review/review_evaluations.html" %}
</div>

<div id="part-tags">
  {% include "panels/entity/review/part_tags.html" %}
</div>

{% for part in feedback_review_parts %}
  <h4 class="add-bottom-margin">{{ part }}</h4>
  <div class="review-table">
    <table class="table table-bordered">
      <thead>
        <tr class="table-header">
          <th>Reviewer</th>
          <th>Suggestion</th>
        </tr>
      </thead>
      <tbody>
        {% for ev in entity.evaluation.all %}
            {% if part == "Rating" and ev.rating %}
              <tr>
                <td>{{ ev.user.get_reviewer_name }}</td>
                <td>
                  {% if ev.rating %}
                    <span class="
                            gel-banner {{ ev|evaluation_rating_class }}
                                       {% if ev.current_diagnostic  %}add-label-margin{% endif %}
                        ">{{ ev|evaluation_rating_name }}</span>
                  {% endif %}
                  {% if ev.current_diagnostic  %}
                    <div><i class="fa fa-check-circle"></i> Current diagnostic</div>
                  {% endif %}
                  {% if entity.is_str and ev.clinically_relevant  %}
                    <div><i class="fa fa-check-circle"></i> Clinically relevant</div>
                  {% endif %}
                </td>
              </tr>
            {% endif %}

            {% if part == "Mode of inheritance" and ev.moi %}
              <tr>
                <td>{{ ev.user.get_reviewer_name }}</td>
                <td>
                  {{ ev.moi }}
                </td>
              </tr>
            {% endif %}

            {% if part == "Mode of pathogenicity" and ev.mode_of_pathogenicity %}
              <tr>
                <td>{{ ev.user.get_reviewer_name }}</td>
                <td>
                  {{ ev.mode_of_pathogenicity }}
                </td>
              </tr>
            {% endif %}

            {% if part == "Publications" and ev.publications %}
              <tr>
                <td>{{ ev.user.get_reviewer_name }}</td>
                <td>
                  {{ ev.publications|join:"; " }}
                </td>
              </tr>
            {% endif %}

            {% if part == "Phenotypes" and ev.phenotypes %}
              <tr>
                <td>{{ ev.user.get_reviewer_name }}</td>
                <td>
                  {{ ev.phenotypes|join:"; " }}
                </td>
              </tr>
            {% endif %}
        {% endfor %}
        <tr>
          <td class="bg-review w-40">Current</td>
          <td class="bg-review w-60" data-module="toggle">
            <div>
              {% if part == "Rating" %}
                <div id="part-rating">
                  {% include "panels/entity/review/part_rating.html" %}
                </div>
              {% endif %}
              {% if part == "Mode of inheritance" %}
                <div id="part-moi">
                  {% include "panels/entity/review/part_moi.html" %}
                </div>
              {% endif %}
              {% if part == "Mode of pathogenicity" %}
                <div id="part-mop">
                  {% include "panels/entity/review/part_mop.html" %}
                </div>
              {% endif %}
              {% if part == "Publications" %}
                <div id="part-publications">
                  {% include "panels/entity/review/part_publications.html" %}
                </div>
              {% endif %}
              {% if part == "Phenotypes" %}
                <div id="part-phenotypes">
                  {% include "panels/entity/review/part_phenotypes.html" %}
                </div>
              {% endif %}
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
{% endfor %}

{% if entity.ready %}
  <h3 class="add-top-margin">Mark {{ entity.label }} as not ready</h3>
  <form class="add-top-margin add-bottom-margin card form">
    <button
      type="button"
      class="btn"
      value="Mark as not ready"
      hx-post="{% url 'panels:mark_entity_as_not_ready' panel.panel_id entity_type entity_name %}"
      hx-swap="none"
      hx-disabled-elt="this"
    >
      {% include "panels/entity/button_loading_content.html" with text="Mark as not ready" %}
    </button>
  </form>
{% else %}
  <h3 class="add-top-margin">Mark {{ entity.label }} as ready</h3>
  <div class="add-bottom-margin">
    A {{ entity_type }} can be marked as ready for the next major version of the panel if it has:
    <ul>
      <li>sufficient expert reviews from a variety of sources</li>
      <li>been assessed against expert reviews</li>
      <li>been updated based on valid feedback or curated evidence</li>
    </ul>
  </div>
  <div class="card card-body bg-light add-bottom-margin">
    <form class="form">
      <fieldset>
        {% for field in entity_ready_form %}
          <div class="form-group">
            {% bootstrap_field field %}
          </div>
        {% endfor %}
        <button
          type="button"
          class="btn btn-info"
          hx-post="{% url 'panels:mark_entity_as_ready' panel.panel_id entity_type entity_name %}"
          hx-swap="none"
          hx-disabled-elt="this"
        >
          {% include "panels/entity/button_loading_content.html" with text="Mark as ready" %}
        </button>
      </fieldset>
    </form>
  </div>
{% endif %}
